/**
 * https://github.com/react-spring/react-spring/blob/v9/targets/three/src/primitives.ts
 */
export declare type Primitives = keyof JSX.IntrinsicElements;
export declare const primitives: ("symbol" | "object" | "a" | "abbr" | "address" | "area" | "article" | "aside" | "audio" | "b" | "base" | "bdi" | "bdo" | "big" | "blockquote" | "body" | "br" | "button" | "canvas" | "caption" | "cite" | "code" | "col" | "colgroup" | "data" | "datalist" | "dd" | "del" | "details" | "dfn" | "dialog" | "div" | "dl" | "dt" | "em" | "embed" | "fieldset" | "figcaption" | "figure" | "footer" | "form" | "h1" | "h2" | "h3" | "h4" | "h5" | "h6" | "head" | "header" | "hgroup" | "hr" | "html" | "i" | "iframe" | "img" | "input" | "ins" | "kbd" | "keygen" | "label" | "legend" | "li" | "link" | "main" | "map" | "mark" | "menu" | "menuitem" | "meta" | "meter" | "nav" | "noindex" | "noscript" | "ol" | "optgroup" | "option" | "output" | "p" | "param" | "picture" | "pre" | "progress" | "q" | "rp" | "rt" | "ruby" | "s" | "samp" | "slot" | "script" | "section" | "select" | "small" | "source" | "span" | "strong" | "style" | "sub" | "summary" | "sup" | "table" | "template" | "tbody" | "td" | "textarea" | "tfoot" | "th" | "thead" | "time" | "title" | "tr" | "track" | "u" | "ul" | "var" | "video" | "wbr" | "webview" | "svg" | "animate" | "animateMotion" | "animateTransform" | "circle" | "clipPath" | "defs" | "desc" | "ellipse" | "feBlend" | "feColorMatrix" | "feComponentTransfer" | "feComposite" | "feConvolveMatrix" | "feDiffuseLighting" | "feDisplacementMap" | "feDistantLight" | "feDropShadow" | "feFlood" | "feFuncA" | "feFuncB" | "feFuncG" | "feFuncR" | "feGaussianBlur" | "feImage" | "feMerge" | "feMergeNode" | "feMorphology" | "feOffset" | "fePointLight" | "feSpecularLighting" | "feSpotLight" | "feTile" | "feTurbulence" | "filter" | "foreignObject" | "g" | "image" | "line" | "linearGradient" | "marker" | "mask" | "metadata" | "mpath" | "path" | "pattern" | "polygon" | "polyline" | "radialGradient" | "rect" | "stop" | "switch" | "text" | "textPath" | "tspan" | "use" | "view" | "node" | "transformNode" | "abstractMesh" | "mesh" | "camera" | "targetCamera" | "freeCamera" | "touchCamera" | "universalCamera" | "gamepadCamera" | "anaglyphGamepadCamera" | "stereoscopicGamepadCamera" | "anaglyphUniversalCamera" | "stereoscopicUniversalCamera" | "deviceOrientationCamera" | "vrDeviceOrientationFreeCamera" | "vrDeviceOrientationGamepadCamera" | "anaglyphFreeCamera" | "stereoscopicFreeCamera" | "virtualJoysticksCamera" | "webVrFreeCamera" | "webXrCamera" | "arcRotateCamera" | "anaglyphArcRotateCamera" | "stereoscopicArcRotateCamera" | "vrDeviceOrientationArcRotateCamera" | "flyCamera" | "followCamera" | "arcFollowCamera" | "box" | "tiledBox" | "sphere" | "disc" | "icoSphere" | "ribbon" | "cylinder" | "torus" | "torusKnot" | "lineSystem" | "lines" | "dashedLines" | "extrudeShape" | "extrudeShapeCustom" | "lathe" | "tiledPlane" | "plane" | "ground" | "tiledGround" | "groundFromHeightMap" | "babylon-polygon" | "extrudePolygon" | "tube" | "polyhedron" | "decal" | "material" | "shaderMaterial" | "multiMaterial" | "pushMaterial" | "standardMaterial" | "backgroundMaterial" | "pbrBaseMaterial" | "pbrBaseSimpleMaterial" | "pbrMetallicRoughnessMaterial" | "pbrSpecularGlossinessMaterial" | "pbrMaterial" | "nodeMaterial" | "fluentMaterial" | "light" | "shadowLight" | "directionalLight" | "pointLight" | "spotLight" | "hemisphericLight" | "control" | "container" | "rectangle" | "babylon-button" | "selectionPanel" | "scrollViewer" | "stackPanel" | "virtualKeyboard" | "babylon-ellipse" | "grid" | "scrollViewerWindow" | "textBlock" | "babylon-image" | "checkbox" | "colorPicker" | "inputText" | "inputPassword" | "babylon-line" | "multiLine" | "radioButton" | "baseSlider" | "scrollBar" | "imageScrollBar" | "slider" | "imageBasedSlider" | "displayGrid" | "control3D" | "container3D" | "volumeBasedPanel" | "cylinderPanel" | "planePanel" | "scatterPanel" | "spherePanel" | "stackPanel3D" | "abstractButton3D" | "button3D" | "holographicButton" | "meshButton3D" | "effectLayer" | "glowLayer" | "highlightLayer" | "baseTexture" | "cubeTexture" | "rawCubeTexture" | "texture" | "rawTexture" | "proceduralTexture" | "customProceduralTexture" | "noiseProceduralTexture" | "renderTargetTexture" | "mirrorTexture" | "multiRenderTarget" | "refractionTexture" | "multiviewRenderTarget" | "videoTexture" | "dynamicTexture" | "advancedDynamicTexture" | "adtForMesh" | "adtFullscreenUi" | "rawTexture3D" | "rawTexture2DArray" | "colorGradingTexture" | "equiRectangularCubeTexture" | "hdrCubeTexture" | "htmlElementTexture" | "gui3DManager" | "shadowGenerator" | "environmentHelper" | "physicsImpostor" | "vrExperienceHelper" | "dynamicTerrain" | "autoRotationBehavior" | "bouncingBehavior" | "framingBehavior" | "attachToBoxBehavior" | "fadeInOutBehavior" | "multiPointerScaleBehavior" | "pointerDragBehavior" | "sixDofDragBehavior" | "model")[];
